Announcements
IMPORTANT: Cypress Developer Community is transitioning on October 20th. To learn more and be prepared for this change, check out our latest announcement.
cancel
Showing results for 
Search instead for 
Did you mean: 

USB Low-Full-High Speed Peripherals

kech_4190326
New Contributor

HI There.

We want to use CyAPI.lib and CyAPI.h in our project .

It could be compiled successfully in platforms Win32 (Release mode) but has error in platforms x64(release mode)

Error message as below :

Severity Code Description Project File Line Suppression State

Error LNK1112 module machine type 'X86' conflicts with target machine type 'x64'    ddi_fx2lp.obj 1

We make sure that we use right CyAPI.lib(x64) from "EZ-USB FX3 SDK"

Could anyone provide any suggestion? Thank you .

0 Likes
1 Solution
4 Replies
YatheeshD_36
Moderator
Moderator

Hello Kevin,

Go to Project -> Properties -> VC++ Directories

Make sure that the Platform is x64 and the executable directories, library directories and reference directories under VC++ directories all are pointing to target X64.

Best Regards

Yatheesh

0 Likes
kech_4190326
New Contributor

HI YatheeshK_36

Thank you for your suggestion .

We check the setting is correct .

The c++ project could compile platforms x64(release mode) well before we include CyAPI.lib and CyAPI.h .

Kevin

0 Likes
kech_4190326
New Contributor

HI YangyangC_06

Thank you for your suggestion.

It's helpful and fixed our issue .

Thank you .

Kevin

0 Likes